#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
  int nota_invalida;
  float nota;
  
  nota_invalida = 1;

  while (nota_invalida)
  {

    printf("Entre com a nota do aluno: ");
    scanf ("%f",&nota);

    if (nota >= 0.0 && nota <= 10.0)
       nota_invalida=0;
    else
       printf("# Nota invalida: digite novamente!\n");

  }

  printf("Nota validada: %.2f \n",nota);
  
  system("PAUSE");	
  return 0;
}
